org.eclipse.microprofile.context.tck

## Class ProducerBean

- java.lang.Object
- - org.eclipse.microprofile.context.tck.ProducerBean

    @ApplicationScoped
    public class ProducerBean
    extends Object

Produces beans consumed by MpConfigBean in order to avoid circular dependencies

### Field Summary

Fields
`protected ThreadContext` `bufferContext`

### Constructor Summary

Constructors
Constructor and Description
`ProducerBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ManagedExecutor` `createExecutor()`
`void` `shutdown(ManagedExecutor executor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bufferContext

    @Produces
     @ApplicationScoped
     @Named(value="producedThreadContext")
    protected ThreadContext bufferContext

### Constructor Detail

#### ProducerBean

    public ProducerBean()

### Method Detail

#### createExecutor

    @Produces
     @ApplicationScoped
    protected ManagedExecutor createExecutor()

#### shutdown

    public void shutdown(@Disposes
                         ManagedExecutor executor)